## org.apache.poi.xssf.usermodel
Class XSSFConnector

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFShape
          org.apache.poi.xssf.usermodel.XSSFConnector

    public final class XSSFConnector

extends XSSFShape

A connection shape drawing element. A connection shape is a line, etc. that connects two other shapes in this drawing.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.xssf.usermodel.XSSFShape
`anchor, drawing, EMU_PER_PIXEL, EMU_PER_POINT, parent, PIXEL_DPI, POINT_DPI`

Constructor Summary
`protected` `XSSFConnector(XSSFDrawing drawing, org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector ctShape)` Construct a new XSSFConnector object.

Method Summary
`org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector` `getCTConnector()`
`protected org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties` `getShapeProperties()` Returns xml bean with shape properties.
`int` `getShapeType()` Gets the shape type, one of the constants defined in `ShapeTypes`.
`protected static org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector` `prototype()` Initialize default structure of a new auto-shape
`void` `setShapeType(int type)` Sets the shape types.

Methods inherited from class org.apache.poi.xssf.usermodel.XSSFShape
`getAnchor, getDrawing, getParent, isNoFill, setFillColor, setLineStyle, setLineStyleColor, setLineWidth, setNoFill`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFConnector

    protected XSSFConnector(XSSFDrawing drawing,
                            org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector ctShape)

  Construct a new XSSFConnector object.

  Parameters:
    `drawing` - the XSSFDrawing that owns this shape
    `ctShape` - the shape bean that holds all the shape properties

Method Detail

### prototype

    protected static org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector prototype()

  Initialize default structure of a new auto-shape

### getCTConnector

    @Internal
    public org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTConnector getCTConnector()

### getShapeType

    public int getShapeType()

  Gets the shape type, one of the constants defined in `ShapeTypes`.

  Returns:
    the shape type
  See Also:
    `ShapeTypes`

### setShapeType

    public void setShapeType(int type)

  Sets the shape types.

  Parameters:
    `type` - the shape type, one of the constants defined in `ShapeTypes`.
  See Also:
    `ShapeTypes`

### getShapeProperties

    protected org.openxmlformats.schemas.drawingml.x2006.main.CTShapeProperties getShapeProperties()

  Description copied from class: `XSSFShape`
  Returns xml bean with shape properties.

  Specified by:
    `getShapeProperties` in class `XSSFShape`
  Returns:
    xml bean with shape properties.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.